/**
 * @file demo.h
 * libdogm
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * @author JORDACIJEVIC Serz <serz@jordacijevic.name>
 * @date 2008/05/19
 *
 * @version $Revision: 1.0$
 *
 * @todo Nothing to do. - Everything perfect! ;-)
 *
 * URL: $HeadURL: http://serz.jordacijevic.name/?mmenu=project&smenu=libdogm$
 *
 * Last Modified: $Author: Jordacijevic Serz; DI Michael Kramer$
 */

#ifndef _DEMO_H_

/*
 * -------------------------------------------------------------- includes --
 */

/*
 * --------------------------------------------------------------- defines --
 */

#define _DEMO_H_

#define LCD_DOGM_DPORT  DDRB
#define LCD_DOGM_PORT   PORTB
#define LCD_DOGM_CSB   PB5
#define LCD_DOGM_RS    PB4

/*
 * -------------------------------------------------------------- typedefs --
 */

/*
 * --------------------------------------------------------------- globals --
 */

/*
 * ------------------------------------------------------------- functions --
 */

void delay_s(uint8_t sec);
void write_all(void);
void lcd_spi_write(unsigned char hexwrite);
void lcd_set_rs(uint8_t type);
void lcd_set_cs(uint8_t type);

#endif // _DEMO_H_
